# Wyświetlanie informacji o bieżącej domenie
$d = [System.Directoryservices.ActiveDirectory.Domain]::GetCurrentDomain()
$DCs = $d.DomainControllers
# Iterowanie kontrolerów
foreach ($DC in $DCs)
{
   "Nazwa: " + $DC.Name
   "IP: " + $DC.IPAddress.ToString()
   "Godzina: " + $DC.CurrentTime.ToString()
    "Role:"
   # Iterowanie ról
    foreach ($R in $DC.Roles)
    {
     "- " + $R.ToString()
    }
}
